commit:     d625a0f1f5a68da2cf1a222aba1854c6112cd76c
Author:     Theo Anderson <telans <AT> posteo <DOT> de>
AuthorDate: Sat Dec 26 01:08:36 2020 +0000
Commit:     Theo Anderson <telans <AT> posteo <DOT> de>
CommitDate: Sat Dec 26 09:09:31 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=d625a0f1

dev-util/codespell: bump to 2.0.0; bump PYTHON_COMPAT

Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Theo Anderson <telans <AT> posteo.de>

 dev-util/codespell/Manifest               |  1 +
 dev-util/codespell/codespell-2.0.0.ebuild | 33 +++++++++++++++++++++++++++++++
 2 files changed, 34 insertions(+)

diff --git a/dev-util/codespell/Manifest b/dev-util/codespell/Manifest
index ad33b144..711939d4 100644
--- a/dev-util/codespell/Manifest
+++ b/dev-util/codespell/Manifest
@@ -1 +1,2 @@
 DIST codespell-1.17.1.tar.gz 164357 BLAKE2B 
75ed98c694498b5445b8083c8c8a98f39b552b379111721b4a99d2b497804f47c3e06f97acb4115820459122391a75f47d4a97c1253b29136308712fb57cb5ff
 SHA512 
5c8be2c11d44a85bc2f1eac980b6ba875f99ffefbdcf6387c798b77d030f9c6ada68e80de8192fd4bab0fe8038b1b5769c72a8ee7f9da9521b9798e6527347d3
+DIST codespell-2.0.0.tar.gz 180131 BLAKE2B 
9f7cf7b28f0c6981ec4c88909bee4d77dd4a35c9669a2f6aba368519ede85019b69bbbee2a83b17b5c8ca9cd197463ce13e5198a36c6e0f371b352453a82580f
 SHA512 
ca9fc6661be77eddca1a5b3b15a72abc0506c61826487e8f50c546b923c065c6cbfb2b4c4bbace136d811e2e8cf2fe00106efcc3eb8805181ca6bd04fd4bf638

diff --git a/dev-util/codespell/codespell-2.0.0.ebuild 
b/dev-util/codespell/codespell-2.0.0.ebuild
new file mode 100644
index 00000000..d58a6ad6
--- /dev/null
+++ b/dev-util/codespell/codespell-2.0.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Check text files for common misspellings"
+HOMEPAGE="https://github.com/codespell-project/codespell";
+SRC_URI="https://github.com/${PN}-project/${PN}/archive/v${PVR}.tar.gz -> 
${P}.tar.gz"
+
+# Code licensed under GPL-2
+# Dictionary licensed under CC-BY-SA-3.0
+LICENSE="GPL-2 CC-BY-SA-3.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+python_prepare_all() {
+       # do not depend on pytest-cov
+       sed -i -e '/addopts/d' setup.cfg || die
+
+       # This will fail if the package itself
+       # is not yet installed
+       sed -i -e 's:test_command:_&:' \
+               codespell_lib/tests/test_basic.py
+
+       distutils-r1_python_prepare_all
+}
+
+distutils_enable_tests pytest

Reply via email to